package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 告警记录对象 alarm_record
 *
 * @author jjt
 * @date 2024-08-08
 */
@ApiModel(value = "AlarmRecord" , description = "告警记录")
public class AlarmRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 告警ID
     */
    @ApiModelProperty("告警ID")
    @TableId
    private Long alarmId;

    /**
     * 告警对象
     */
    @ApiModelProperty("告警对象")
    @Excel(name = "告警对象")
    private Long objId;

    /**
     * 告警指标
     */
    @ApiModelProperty("告警指标")
    @Excel(name = "告警指标")
    private Long objMetricsId;

    /**
     * 告警类型
     */
    @ApiModelProperty("告警类型")
    @Excel(name = "告警类型")
    private String alarmType;

    /**
     * 告警级别
     */
    @ApiModelProperty("告警级别")
    @Excel(name = "告警级别")
    private String alarmLevel;

    /**
     * 告警值
     */
    @ApiModelProperty("告警值")
    @Excel(name = "告警值")
    private String alarmValue;

    /**
     * 告警时间
     */
    @ApiModelProperty("告警时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "告警时间" , width = 30, dateFormat = "yyyy-MM-dd")
    private Date alarmTime;

    public void setAlarmId(Long alarmId) {
        this.alarmId = alarmId;
    }

    public Long getAlarmId() {
        return alarmId;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setObjMetricsId(Long objMetricsId) {
        this.objMetricsId = objMetricsId;
    }

    public Long getObjMetricsId() {
        return objMetricsId;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmLevel(String alarmLevel) {
        this.alarmLevel = alarmLevel;
    }

    public String getAlarmLevel() {
        return alarmLevel;
    }

    public void setAlarmValue(String alarmValue) {
        this.alarmValue = alarmValue;
    }

    public String getAlarmValue() {
        return alarmValue;
    }

    public void setAlarmTime(Date alarmTime) {
        this.alarmTime = alarmTime;
    }

    public Date getAlarmTime() {
        return alarmTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("alarmId" , getAlarmId())
                .append("objId" , getObjId())
                .append("objMetricsId" , getObjMetricsId())
                .append("alarmType" , getAlarmType())
                .append("alarmLevel" , getAlarmLevel())
                .append("alarmValue" , getAlarmValue())
                .append("alarmTime" , getAlarmTime())
                .append("createBy" , getCreateBy())
                .append("createTime" , getCreateTime())
                .append("updateBy" , getUpdateBy())
                .append("updateTime" , getUpdateTime())
                .append("remark" , getRemark())
                .toString();
    }
}
