package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 业务模型对象 biz_model
 *
 * @author jjt
 * @date 2024-08-26
 */
@ApiModel(value = "BizModel", description = "业务模型")
public class BizModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 模型ID */
    @ApiModelProperty("模型ID")
    @TableId
    private Long modelId;

    /** 模型编码 */
    @ApiModelProperty("模型编码")
    @Excel(name = "模型编码")
    private String modelCode;

    /** 模型名称 */
    @ApiModelProperty("模型名称")
    @Excel(name = "模型名称")
    private String modelName;

    /** 模型总分 */
    @ApiModelProperty("模型总分")
    @Excel(name = "模型总分")
    private Long modelScore;

    /** 业务类型 */
    @ApiModelProperty("业务类型")
    @Excel(name = "业务类型")
    private String modelType;

    public void setModelId(Long modelId)
    {
        this.modelId = modelId;
    }

    public Long getModelId()
    {
        return modelId;
    }
    public void setModelCode(String modelCode)
    {
        this.modelCode = modelCode;
    }

    public String getModelCode()
    {
        return modelCode;
    }
    public void setModelName(String modelName)
    {
        this.modelName = modelName;
    }

    public String getModelName()
    {
        return modelName;
    }
    public void setModelScore(Long modelScore)
    {
        this.modelScore = modelScore;
    }

    public Long getModelScore()
    {
        return modelScore;
    }
    public void setModelType(String modelType)
    {
        this.modelType = modelType;
    }

    public String getModelType()
    {
        return modelType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("modelId", getModelId())
            .append("modelCode", getModelCode())
            .append("modelName", getModelName())
            .append("modelScore", getModelScore())
            .append("modelType", getModelType())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
