package com.jjt.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 模板指标明细对象 metrics_tpl_detail
 *
 * @author jjt
 * @date 2024-08-08
 */
@ApiModel(value = "MetricsTplDetail", description = "模板指标明细")
@Data
public class MetricsTplDetail extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 明细ID
     */
    @ApiModelProperty("明细ID")
    @TableId
    private Long tplDetailId;

    /**
     * 模板ID
     */
    @ApiModelProperty("模板ID")
    @Excel(name = "模板ID")
    private Long tplId;

    /**
     * 指标ID
     */
    @ApiModelProperty("指标ID")
    @Excel(name = "指标ID")
    private Long metricsId;

    /**
     * 指标编码
     */
    @ApiModelProperty("指标编码")
    @Excel(name = "指标编码")
    private String metricsCode;

    @ApiModelProperty("告警-低")
    private String alarmLow;
    @ApiModelProperty("告警-中")
    private String alarmMid;
    @ApiModelProperty("告警-高")
    private String alarmHigh;

    @ApiModelProperty("指标定义")
    private MetricsDef metricsDef;
}
